<template>
  <Result
    :title="title"
    :orderNo="orderNo"
    :icon="OssAssets.result.Success"
    :customerServiceTips="CustomerServiceTips"
    :dangerTips="dangerTips"
    warningTips="如接到陌生来电，对方以缴费或误操作等理由要求处理款项，务必立即拉黑，谨防诈骗!!!"
  >
    <template #actions>
      <div class="chunk-form-actions">
        <nut-button class="recharge-button" type="primary" @click="emit('goBackHome')">
          <div class="recharge-button-inner">
            <div class="recharge-button-text">返回首页</div>
          </div>
        </nut-button>
      </div>
    </template>
  </Result>
</template>

<script setup lang="ts">
import { LifeRechargeConstants } from '@life-payment/core-vue';
import { CustomerServiceTips, OssAssets } from '../../constants';
import Result from '../../components/Result/Result.vue';
import { Button as NutButton } from '@nutui/nutui-taro';

defineOptions({
  name: 'RechargeResultView',
});

type Props = {
  title?: string;
  orderNo?: string;
  dangerTips?: string;
  lifePayOrderType?: LifeRechargeConstants.LifePayOrderTypeEnum;
};

const props = withDefaults(defineProps<Props>(), {
  title: '支付成功',
  dangerTips:
    '同一号码充值期间，未到账前切勿在其他任何平台再次充值。因此造成的资金损失须用户自行承担！！！',
});

const emit = defineEmits<{
  (e: 'goBackHome'): void;
}>();
</script>
